//::///////////////////////////////////////////////
//:: Elemental Heritage (Fire)
//:: kc_s2_heritage_fire
//:: Purpose:
//:: Created By: Kris C.
//:: Created On: July 9, 2007
//:://////////////////////////////////////////////

#include "x2_inc_spellhook"
#include "nwn2_inc_spells"

const int SPELLABILITY_FIREGNOME_HERITAGE_FIRE = 9000;

void main()
{
	if (!X2PreSpellCastCode())
	{
	// If code within the PreSpellCastHook (i.e. UMD) reports FALSE, do not run this spell
		return;
	}

	int nSpellId = SPELLABILITY_FIREGNOME_HERITAGE_FIRE;

	if (GetHasSpellEffect(nSpellId, OBJECT_SELF))
	{
		RemoveSpellEffects(nSpellId, OBJECT_SELF, OBJECT_SELF);
	}

	effect eImmune = EffectDamageResistance(DAMAGE_TYPE_FIRE, 9999, 0);
	effect eVuln = EffectDamageImmunityDecrease(DAMAGE_TYPE_COLD, 50);
	effect eLink = EffectLinkEffects(eVuln, eImmune);
		   eLink = SetEffectSpellId(eLink, nSpellId);
		   eLink = SupernaturalEffect(eLink);

	DelayCommand(0.1f, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eLink, OBJECT_SELF, HoursToSeconds(48)));
}